package domain


type AlibabaRetailMarketingItemdiscountActivitySaveOctopusOpenResult struct {
    /*
        活动id     */
    Data  *int64 `json:"data,omitempty" `

    /*
        操作是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误描述     */
    ErrorMessage  *string `json:"error_message,omitempty" `

    /*
        错误码     */
    ErrorCode  *string `json:"error_code,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountActivitySaveOctopusOpenResult) SetData(v int64) *AlibabaRetailMarketingItemdiscountActivitySaveOctopusOpenResult {
    s.Data = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveOctopusOpenResult) SetSuccess(v bool) *AlibabaRetailMarketingItemdiscountActivitySaveOctopusOpenResult {
    s.Success = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveOctopusOpenResult) SetErrorMessage(v string) *AlibabaRetailMarketingItemdiscountActivitySaveOctopusOpenResult {
    s.ErrorMessage = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySaveOctopusOpenResult) SetErrorCode(v string) *AlibabaRetailMarketingItemdiscountActivitySaveOctopusOpenResult {
    s.ErrorCode = &v
    return s
}
